Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class NewProxyResultSet

    java.lang.Object
      com.mchange.v2.c3p0.impl.NewProxyResultSet

All Implemented Interfaces:
  java.sql.ResultSet

    public final class NewProxyResultSet

extends java.lang.Object
implements java.sql.ResultSet

This class was generated by com.mchange.v2.c3p0.codegen.JdbcProxyGenerator$NewProxyResultSetGenerator.

Field Summary
`protected java.sql.ResultSet` | `inner`

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`NewProxyResultSet(java.sql.ResultSet inner)`

Method Summary
`boolean` | `absolute(int a)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `deleteRow()`
`int` | `findColumn(java.lang.String a)`
`boolean` | `first()`
`java.sql.Array` | `getArray(int a)`
`java.sql.Array` | `getArray(java.lang.String a)`
`java.io.InputStream` | `getAsciiStream(int a)`
`java.io.InputStream` | `getAsciiStream(java.lang.String a)`
`java.math.BigDecimal` | `getBigDecimal(int a)`
`java.math.BigDecimal` | `getBigDecimal(int a, int b)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String a)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String a, int b)`
`java.io.InputStream` | `getBinaryStream(int a)`
`java.io.InputStream` | `getBinaryStream(java.lang.String a)`
`java.sql.Blob` | `getBlob(int a)`
`java.sql.Blob` | `getBlob(java.lang.String a)`
`boolean` | `getBoolean(int a)`
`boolean` | `getBoolean(java.lang.String a)`
`byte` | `getByte(int a)`
`byte` | `getByte(java.lang.String a)`
`byte[]` | `getBytes(int a)`
`byte[]` | `getBytes(java.lang.String a)`
`java.io.Reader` | `getCharacterStream(int a)`
`java.io.Reader` | `getCharacterStream(java.lang.String a)`
`java.sql.Clob` | `getClob(int a)`
`java.sql.Clob` | `getClob(java.lang.String a)`
`int` | `getConcurrency()`
`java.lang.String` | `getCursorName()`
`java.sql.Date` | `getDate(int a)`
`java.sql.Date` | `getDate(int a, java.util.Calendar b)`
`java.sql.Date` | `getDate(java.lang.String a)`
`java.sql.Date` | `getDate(java.lang.String a, java.util.Calendar b)`
`double` | `getDouble(int a)`
`double` | `getDouble(java.lang.String a)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int a)`
`float` | `getFloat(java.lang.String a)`
`int` | `getInt(int a)`
`int` | `getInt(java.lang.String a)`
`long` | `getLong(int a)`
`long` | `getLong(java.lang.String a)`
`java.sql.ResultSetMetaData` | `getMetaData()`
`java.lang.Object` | `getObject(int a)`
`java.lang.Object` | `getObject(int a, java.util.Map b)`
`java.lang.Object` | `getObject(java.lang.String a)`
`java.lang.Object` | `getObject(java.lang.String a, java.util.Map b)`
`java.sql.Ref` | `getRef(int a)`
`java.sql.Ref` | `getRef(java.lang.String a)`
`int` | `getRow()`
`short` | `getShort(int a)`
`short` | `getShort(java.lang.String a)`
`java.sql.Statement` | `getStatement()`
`java.lang.String` | `getString(int a)`
`java.lang.String` | `getString(java.lang.String a)`
`java.sql.Time` | `getTime(int a)`
`java.sql.Time` | `getTime(int a, java.util.Calendar b)`
`java.sql.Time` | `getTime(java.lang.String a)`
`java.sql.Time` | `getTime(java.lang.String a, java.util.Calendar b)`
`java.sql.Timestamp` | `getTimestamp(int a)`
`java.sql.Timestamp` | `getTimestamp(int a, java.util.Calendar b)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String a, java.util.Calendar b)`
`int` | `getType()`
`java.io.InputStream` | `getUnicodeStream(int a)`
`java.io.InputStream` | `getUnicodeStream(java.lang.String a)`
`java.net.URL` | `getURL(int a)`
`java.net.URL` | `getURL(java.lang.String a)`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int a)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setFetchDirection(int a)`
`void` | `setFetchSize(int a)`
`void` | `updateArray(int a, java.sql.Array b)`
`void` | `updateArray(java.lang.String a, java.sql.Array b)`
`void` | `updateAsciiStream(int a, java.io.InputStream b, int c)`
`void` | `updateAsciiStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `updateBigDecimal(int a, java.math.BigDecimal b)`
`void` | `updateBigDecimal(java.lang.String a, java.math.BigDecimal b)`
`void` | `updateBinaryStream(int a, java.io.InputStream b, int c)`
`void` | `updateBinaryStream(java.lang.String a, java.io.InputStream b, int c)`
`void` | `updateBlob(int a, java.sql.Blob b)`
`void` | `updateBlob(java.lang.String a, java.sql.Blob b)`
`void` | `updateBoolean(int a, boolean b)`
`void` | `updateBoolean(java.lang.String a, boolean b)`
`void` | `updateByte(int a, byte b)`
`void` | `updateByte(java.lang.String a, byte b)`
`void` | `updateBytes(int a, byte[] b)`
`void` | `updateBytes(java.lang.String a, byte[] b)`
`void` | `updateCharacterStream(int a, java.io.Reader b, int c)`
`void` | `updateCharacterStream(java.lang.String a, java.io.Reader b, int c)`
`void` | `updateClob(int a, java.sql.Clob b)`
`void` | `updateClob(java.lang.String a, java.sql.Clob b)`
`void` | `updateDate(int a, java.sql.Date b)`
`void` | `updateDate(java.lang.String a, java.sql.Date b)`
`void` | `updateDouble(int a, double b)`
`void` | `updateDouble(java.lang.String a, double b)`
`void` | `updateFloat(int a, float b)`
`void` | `updateFloat(java.lang.String a, float b)`
`void` | `updateInt(int a, int b)`
`void` | `updateInt(java.lang.String a, int b)`
`void` | `updateLong(int a, long b)`
`void` | `updateLong(java.lang.String a, long b)`
`void` | `updateNull(int a)`
`void` | `updateNull(java.lang.String a)`
`void` | `updateObject(int a, java.lang.Object b)`
`void` | `updateObject(int a, java.lang.Object b, int c)`
`void` | `updateObject(java.lang.String a, java.lang.Object b)`
`void` | `updateObject(java.lang.String a, java.lang.Object b, int c)`
`void` | `updateRef(int a, java.sql.Ref b)`
`void` | `updateRef(java.lang.String a, java.sql.Ref b)`
`void` | `updateRow()`
`void` | `updateShort(int a, short b)`
`void` | `updateShort(java.lang.String a, short b)`
`void` | `updateString(int a, java.lang.String b)`
`void` | `updateString(java.lang.String a, java.lang.String b)`
`void` | `updateTime(int a, java.sql.Time b)`
`void` | `updateTime(java.lang.String a, java.sql.Time b)`
`void` | `updateTimestamp(int a, java.sql.Timestamp b)`
`void` | `updateTimestamp(java.lang.String a, java.sql.Timestamp b)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inner

    protected java.sql.ResultSet inner

Constructor Detail

### NewProxyResultSet

    public NewProxyResultSet(java.sql.ResultSet inner)

Method Detail

### getMetaData

    public final java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public final java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### clearWarnings

    public final void clearWarnings()
                             throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getStatement

    public final java.sql.Statement getStatement()
                                          throws java.sql.SQLException

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getFetchDirection

    public final int getFetchDirection()
                                throws java.sql.SQLException

  Specified by:
    `getFetchDirection` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getFetchSize

    public final int getFetchSize()
                           throws java.sql.SQLException

  Specified by:
    `getFetchSize` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### setFetchDirection

    public final void setFetchDirection(int a)
                                 throws java.sql.SQLException

  Specified by:
    `setFetchDirection` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### setFetchSize

    public final void setFetchSize(int a)
                            throws java.sql.SQLException

  Specified by:
    `setFetchSize` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBlob

    public final java.sql.Blob getBlob(int a)
                                throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBlob

    public final java.sql.Blob getBlob(java.lang.String a)
                                throws java.sql.SQLException

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getClob

    public final java.sql.Clob getClob(int a)
                                throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getClob

    public final java.sql.Clob getClob(java.lang.String a)
                                throws java.sql.SQLException

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### wasNull

    public final boolean wasNull()
                          throws java.sql.SQLException

  Specified by:
    `wasNull` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### absolute

    public final boolean absolute(int a)
                           throws java.sql.SQLException

  Specified by:
    `absolute` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### afterLast

    public final void afterLast()
                         throws java.sql.SQLException

  Specified by:
    `afterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### beforeFirst

    public final void beforeFirst()
                           throws java.sql.SQLException

  Specified by:
    `beforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### cancelRowUpdates

    public final void cancelRowUpdates()
                                throws java.sql.SQLException

  Specified by:
    `cancelRowUpdates` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### deleteRow

    public final void deleteRow()
                         throws java.sql.SQLException

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public final java.io.InputStream getAsciiStream(int a)
                                             throws java.sql.SQLException

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getAsciiStream

    public final java.io.InputStream getAsciiStream(java.lang.String a)
                                             throws java.sql.SQLException

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public final java.io.InputStream getBinaryStream(int a)
                                              throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public final java.io.InputStream getBinaryStream(java.lang.String a)
                                              throws java.sql.SQLException

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getConcurrency

    public final int getConcurrency()
                             throws java.sql.SQLException

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCursorName

    public final java.lang.String getCursorName()
                                         throws java.sql.SQLException

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public final java.io.InputStream getUnicodeStream(int a)
                                               throws java.sql.SQLException

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getUnicodeStream

    public final java.io.InputStream getUnicodeStream(java.lang.String a)
                                               throws java.sql.SQLException

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isAfterLast

    public final boolean isAfterLast()
                              throws java.sql.SQLException

  Specified by:
    `isAfterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isBeforeFirst

    public final boolean isBeforeFirst()
                                throws java.sql.SQLException

  Specified by:
    `isBeforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isFirst

    public final boolean isFirst()
                          throws java.sql.SQLException

  Specified by:
    `isFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isLast

    public final boolean isLast()
                         throws java.sql.SQLException

  Specified by:
    `isLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### moveToCurrentRow

    public final void moveToCurrentRow()
                                throws java.sql.SQLException

  Specified by:
    `moveToCurrentRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### moveToInsertRow

    public final void moveToInsertRow()
                               throws java.sql.SQLException

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### refreshRow

    public final void refreshRow()
                          throws java.sql.SQLException

  Specified by:
    `refreshRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### relative

    public final boolean relative(int a)
                           throws java.sql.SQLException

  Specified by:
    `relative` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### rowDeleted

    public final boolean rowDeleted()
                             throws java.sql.SQLException

  Specified by:
    `rowDeleted` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### rowInserted

    public final boolean rowInserted()
                              throws java.sql.SQLException

  Specified by:
    `rowInserted` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### rowUpdated

    public final boolean rowUpdated()
                             throws java.sql.SQLException

  Specified by:
    `rowUpdated` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public final void updateArray(int a,
                                  java.sql.Array b)
                           throws java.sql.SQLException

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public final void updateArray(java.lang.String a,
                                  java.sql.Array b)
                           throws java.sql.SQLException

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public final void updateAsciiStream(int a,
                                        java.io.InputStream b,
                                        int c)
                                 throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateAsciiStream

    public final void updateAsciiStream(java.lang.String a,
                                        java.io.InputStream b,
                                        int c)
                                 throws java.sql.SQLException

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBigDecimal

    public final void updateBigDecimal(int a,
                                       java.math.BigDecimal b)
                                throws java.sql.SQLException

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBigDecimal

    public final void updateBigDecimal(java.lang.String a,
                                       java.math.BigDecimal b)
                                throws java.sql.SQLException

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public final void updateBinaryStream(int a,
                                         java.io.InputStream b,
                                         int c)
                                  throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBinaryStream

    public final void updateBinaryStream(java.lang.String a,
                                         java.io.InputStream b,
                                         int c)
                                  throws java.sql.SQLException

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public final void updateBlob(int a,
                                 java.sql.Blob b)
                          throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public final void updateBlob(java.lang.String a,
                                 java.sql.Blob b)
                          throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBoolean

    public final void updateBoolean(int a,
                                    boolean b)
                             throws java.sql.SQLException

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBoolean

    public final void updateBoolean(java.lang.String a,
                                    boolean b)
                             throws java.sql.SQLException

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateByte

    public final void updateByte(int a,
                                 byte b)
                          throws java.sql.SQLException

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateByte

    public final void updateByte(java.lang.String a,
                                 byte b)
                          throws java.sql.SQLException

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public final void updateCharacterStream(int a,
                                            java.io.Reader b,
                                            int c)
                                     throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateCharacterStream

    public final void updateCharacterStream(java.lang.String a,
                                            java.io.Reader b,
                                            int c)
                                     throws java.sql.SQLException

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public final void updateClob(int a,
                                 java.sql.Clob b)
                          throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public final void updateClob(java.lang.String a,
                                 java.sql.Clob b)
                          throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDate

    public final void updateDate(int a,
                                 java.sql.Date b)
                          throws java.sql.SQLException

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDate

    public final void updateDate(java.lang.String a,
                                 java.sql.Date b)
                          throws java.sql.SQLException

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDouble

    public final void updateDouble(int a,
                                   double b)
                            throws java.sql.SQLException

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateDouble

    public final void updateDouble(java.lang.String a,
                                   double b)
                            throws java.sql.SQLException

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateFloat

    public final void updateFloat(int a,
                                  float b)
                           throws java.sql.SQLException

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateFloat

    public final void updateFloat(java.lang.String a,
                                  float b)
                           throws java.sql.SQLException

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateInt

    public final void updateInt(int a,
                                int b)
                         throws java.sql.SQLException

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateInt

    public final void updateInt(java.lang.String a,
                                int b)
                         throws java.sql.SQLException

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateLong

    public final void updateLong(int a,
                                 long b)
                          throws java.sql.SQLException

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateLong

    public final void updateLong(java.lang.String a,
                                 long b)
                          throws java.sql.SQLException

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNull

    public final void updateNull(int a)
                          throws java.sql.SQLException

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateNull

    public final void updateNull(java.lang.String a)
                          throws java.sql.SQLException

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public final void updateObject(int a,
                                   java.lang.Object b,
                                   int c)
                            throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public final void updateObject(int a,
                                   java.lang.Object b)
                            throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public final void updateObject(java.lang.String a,
                                   java.lang.Object b,
                                   int c)
                            throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateObject

    public final void updateObject(java.lang.String a,
                                   java.lang.Object b)
                            throws java.sql.SQLException

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public final void updateRef(int a,
                                java.sql.Ref b)
                         throws java.sql.SQLException

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public final void updateRef(java.lang.String a,
                                java.sql.Ref b)
                         throws java.sql.SQLException

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRow

    public final void updateRow()
                         throws java.sql.SQLException

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateShort

    public final void updateShort(int a,
                                  short b)
                           throws java.sql.SQLException

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateShort

    public final void updateShort(java.lang.String a,
                                  short b)
                           throws java.sql.SQLException

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateString

    public final void updateString(int a,
                                   java.lang.String b)
                            throws java.sql.SQLException

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateString

    public final void updateString(java.lang.String a,
                                   java.lang.String b)
                            throws java.sql.SQLException

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTimestamp

    public final void updateTimestamp(int a,
                                      java.sql.Timestamp b)
                               throws java.sql.SQLException

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTimestamp

    public final void updateTimestamp(java.lang.String a,
                                      java.sql.Timestamp b)
                               throws java.sql.SQLException

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public final java.lang.Object getObject(int a)
                                     throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public final java.lang.Object getObject(java.lang.String a)
                                     throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public final java.lang.Object getObject(int a,
                                            java.util.Map b)
                                     throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getObject

    public final java.lang.Object getObject(java.lang.String a,
                                            java.util.Map b)
                                     throws java.sql.SQLException

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public final boolean getBoolean(int a)
                             throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBoolean

    public final boolean getBoolean(java.lang.String a)
                             throws java.sql.SQLException

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getByte

    public final byte getByte(int a)
                       throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getByte

    public final byte getByte(java.lang.String a)
                       throws java.sql.SQLException

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getShort

    public final short getShort(int a)
                         throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getShort

    public final short getShort(java.lang.String a)
                         throws java.sql.SQLException

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getInt

    public final int getInt(int a)
                     throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getInt

    public final int getInt(java.lang.String a)
                     throws java.sql.SQLException

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getLong

    public final long getLong(int a)
                       throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getLong

    public final long getLong(java.lang.String a)
                       throws java.sql.SQLException

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getFloat

    public final float getFloat(int a)
                         throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getFloat

    public final float getFloat(java.lang.String a)
                         throws java.sql.SQLException

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDouble

    public final double getDouble(int a)
                           throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDouble

    public final double getDouble(java.lang.String a)
                           throws java.sql.SQLException

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBytes

    public final byte[] getBytes(int a)
                          throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBytes

    public final byte[] getBytes(java.lang.String a)
                          throws java.sql.SQLException

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getArray

    public final java.sql.Array getArray(int a)
                                  throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getArray

    public final java.sql.Array getArray(java.lang.String a)
                                  throws java.sql.SQLException

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### next

    public final boolean next()
                       throws java.sql.SQLException

  Specified by:
    `next` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public final java.net.URL getURL(int a)
                              throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public final java.net.URL getURL(java.lang.String a)
                              throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getType

    public final int getType()
                      throws java.sql.SQLException

  Specified by:
    `getType` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### previous

    public final boolean previous()
                           throws java.sql.SQLException

  Specified by:
    `previous` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### close

    public final void close()
                     throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public final java.sql.Ref getRef(int a)
                              throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRef

    public final java.sql.Ref getRef(java.lang.String a)
                              throws java.sql.SQLException

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### first

    public final boolean first()
                        throws java.sql.SQLException

  Specified by:
    `first` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public final java.sql.Date getDate(int a)
                                throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public final java.sql.Date getDate(java.lang.String a)
                                throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public final java.sql.Date getDate(int a,
                                       java.util.Calendar b)
                                throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public final java.sql.Date getDate(java.lang.String a,
                                       java.util.Calendar b)
                                throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public final java.sql.Time getTime(int a)
                                throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public final java.sql.Time getTime(java.lang.String a)
                                throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public final java.sql.Time getTime(int a,
                                       java.util.Calendar b)
                                throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public final java.sql.Time getTime(java.lang.String a,
                                       java.util.Calendar b)
                                throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### last

    public final boolean last()
                       throws java.sql.SQLException

  Specified by:
    `last` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public final java.sql.Timestamp getTimestamp(int a)
                                          throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public final java.sql.Timestamp getTimestamp(java.lang.String a)
                                          throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public final java.sql.Timestamp getTimestamp(int a,
                                                 java.util.Calendar b)
                                          throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public final java.sql.Timestamp getTimestamp(java.lang.String a,
                                                 java.util.Calendar b)
                                          throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getString

    public final java.lang.String getString(int a)
                                     throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getString

    public final java.lang.String getString(java.lang.String a)
                                     throws java.sql.SQLException

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTime

    public final void updateTime(int a,
                                 java.sql.Time b)
                          throws java.sql.SQLException

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateTime

    public final void updateTime(java.lang.String a,
                                 java.sql.Time b)
                          throws java.sql.SQLException

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(int a,
                                                    int b)
                                             throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(java.lang.String a,
                                                    int b)
                                             throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(int a)
                                             throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public final java.math.BigDecimal getBigDecimal(java.lang.String a)
                                             throws java.sql.SQLException

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBytes

    public final void updateBytes(int a,
                                  byte[] b)
                           throws java.sql.SQLException

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBytes

    public final void updateBytes(java.lang.String a,
                                  byte[] b)
                           throws java.sql.SQLException

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public final java.io.Reader getCharacterStream(int a)
                                            throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public final java.io.Reader getCharacterStream(java.lang.String a)
                                            throws java.sql.SQLException

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### findColumn

    public final int findColumn(java.lang.String a)
                         throws java.sql.SQLException

  Specified by:
    `findColumn` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### insertRow

    public final void insertRow()
                         throws java.sql.SQLException

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getRow

    public final int getRow()
                     throws java.sql.SQLException

  Specified by:
    `getRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD